#
# spec file for package 
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

### # begin - this section is used for automatic updates
### REVISION=579e49226a4f34f2d6c48d125d781e43b693b98a
### SRC_REL_DIR=BINDINGS/python/python-elementary
### pre_configure_hook() { dependency_hack; }
### # end - this section is used for automatic updates

Name:           python-elementary
Version:	1.7.0
Release:	1.18
License:	GPLv2
Summary:	Python bindings of elementary
Url:            git://git.enlightenment.org/git/e.git
Group:		System/Libraries
Source:		%{name}-%{version}.tar.bz2
BuildRequires:	python-devel
BuildRequires:	Cython
BuildRequires:	python-evas-devel
BuildRequires:	elementary-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Python bindings of evas library, part of EFL.

%package devel
Summary:	Development files for evas python bindings
Group:          Development/Libraries/Python
Requires:	python-devel
Requires:	Cython
Requires:	python-evas-devel
Requires:	elementary-devel
Requires:	%{name} = %{version}

%description devel
Development files for evas python bindings. Evas is part of EFL.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%makeinstall
find %{buildroot}%{_libdir} -name '*.la' -exec rm -v {} \;

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}


%files
%defattr(-,root,root)
%{_libdir}/python2.7/site-packages/elementary
%{_datadir}/python-elementary

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*


%changelog
* Sat Dec 22 2012       Andrew Wyatt <andrew@fuduntu.org> - Version:1.7.0-Release:1.18
- Built for Fuduntu

* Thu Sep  6 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 579e49226a4f34f2d6c48d125d781e43b693b98a
* Wed Aug  1 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision d5f3f6f3d90293371480b6cffa1ec082c5c43250
* Sun Jul 15 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 12bd341481fc15e8a1dcd4fd969444d7336f234c
* Mon Jul  2 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 872d6a79433c507d28bc15d8003f6fde1e643093
* Thu Jun 28 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 4251e31d568eb04f656cfd1fabdc1b864115f05f
* Wed Jun 27 2012 sleep_walker@suse.cz
- source_grabber autoupdate to revision 41a09fc0a7d7ff2f71c04564df7cf4db2d67e919
* Tue Jun 26 2012 sleep_walker@suse.cz
- let there be python-elementary
